<?php
 error_reporting(E_ALL);
ini_set('display_errors', 1);
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DF80000.php");
include("JQUERY.inc");
$fila=array();
$f_m="";
?>
<html>
<head> <meta name="tipo_contenido" content="text/html;" http-equiv="content-type" charset="utf-8">
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/> 
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
function openWindow(dataGen,valores){
	var objDate=document.getElementById('ffecllegada');
	var objDate2=document.getElementById('ffecsalida');	
	var getVars,getVarsAux,distPage;
	var idVentana;
	for(getVarsAux in valores){
		getVars +='&'+getVarsAux+'='+valores['getVarsAux'];
	}
	if(typeof dataGen.width=='undefined') dataGen.width='800';
	if(typeof dataGen.height=='undefined') dataGen.height='600';
	distPage='&feclle='+objDate.value;
	distPage2='&fecsal='+objDate2.value;
	idVentana=window.open(dataGen.action+distPage2+distPage+'&'+getVars,dataGen.name,'width='+dataGen.width+',height='+dataGen.height+',top=100,left=50,scrollbars=yes,menubar=yes,status=yes');
	return idVentana;
}
</script>
<script language="javascript">
  $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='cat_grupos_AU.php';
	var idObjDes='fcodgrupo';
	var idObjCve='id_ope';
        var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete({ //Des
	    source:pagRes,	
            minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
		 select: function( event, ui ) {
                      $("#"+idObjCve).val(ui.item.id);
                      $("#"+idObjDes).val(ui.item.gdescrip);	
		$('#fcodgrupo').focus();
                javascript: document.getElementById('form1').submit();
                }
 //Parametros Extra a Mandar en autosugestion
	});	
	
});
     $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
        var pagRes='cat_grupos_AU.php';
	var idObjDes='fcodgrupo';
	var idObjCve='id_ope'; 
	var nomObjRad='tip_bus_ope';
	$("#"+idObjCve).autocomplete( {
            source:pagRes,
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		                 //ancho del cuadro de despliegue
		 delay: 200,           //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
                           select: function( event, ui ) {
                      $("#"+idObjCve).val(ui.item.id);
                      $("#"+idObjDes).val(ui.item.gdescrip);		
                      $('#fcodgrupo').focus();
		javascript: document.getElementById('form1').submit();
            }
    });	
    
});
//    $(document).ready(function(){
//	function formatItem(row) {
//		return " (<strong>" + row[1] + "</strong>)"+row[0];
//	}
//	$("#fcodgrupo").autocomplete('cat_grupos_AU.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_ope").autocomplete('cat_grupos_AU.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
//		formatResult:function(row){  //formato de seleccion de busqueda
//			return row[1];
//		},	                        
//		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_ope").result(function(event, data, formatted){
//		$('#fcodgrupo').val(data[0]);
//		$('#fcodgrupo').focus();
//		javascript: document.getElementById('form1').submit();
//	});	
//	$("#fcodgrupo").result(function(event, data, formatted){
//		$('#id_ope').val(data[1]);
//		javascript: document.getElementById('form1').submit();
//	});	
//	$("input[@name=tip_bus]").click(function(){
//		$('#fcodgrupo').setOptions({
//			extraParams:{
//				tipBus:getValRadChe('tip_bus')
//			}
//		});
//	});
//});
</script>

</head>	
<body> 

<div align="center">
  <form name="form1" id="form1" method="post" action="">
    <table width="406" align="center">
      <tr>
	  <th width="398" colspan="2">CANCELACION DE  GRUPO </th>
	  </tr>
      <tr>
      <th align="center"><div align="center">GRUPO</div></th>
      </tr>
		  <tr>
		  <td align="center">
		  <input name="id_ope" type="text" id="id_ope" size="2" value="<?php

							if(isset($_POST['id_ope']))
						echo $_POST['id_ope']; 
		?>" />
		
   <select name="fcodgrupo" id="t66" required tabindex="1" onclick="llenar(this.value);" >
                                    <option value="">------------------SELECCIONE------------------</option>
                                    <?php
                                    $sql = mysqli_query($con ,"SELECT * FROM valeryus04 where gfechallegada>='".$dt_empres['fec_alta']."'");
                                    while ($reg = mysqli_fetch_array($sql)) {
                                        if ($_POST['fcodgrupo'] == $reg['gdescrip']) {
                                            echo '<option value="' . $reg['gdescrip'] . '" selected>' . $reg['gdescrip'] . '</option>';
                                        } else {
                                            echo '<option value="' . $reg['gdescrip'] . '">' . $reg['gdescrip'] . '</option>';
                                        }
                                    }
                                    ?>
                                </select>
		</td>
		  </tr>
		  <tr>
		  <th align="center">FECHA</th>
		  </tr>
		  <tr>
		  <td align="center"><input name="ffecllegada" type="text" class="emplea datefrom" id="ffecllegada" size="10" maxlength="20"
			<?php

				if(isset($_POST['ffecllegada'])) //este es el truco
					echo 'value="' . $_POST['ffecllegada'] .  '"';
				else
			  		echo 'value="'.date('d/m/Y').'"'; 
			?>onkeypress="return soloNumeros(event)"
		/>
           <!-- <input name="bot1" id="bot1" type="image" value="Cal" src="logos/cal4.jpg"/>
        -->
        <input name="ffecsalida" type="text" class="emplea dateto" id="ffecsalida" size="10" maxlength="20"
		<?php

		$fecha_llegada = ( (isset($_POST['ffecllegada']))?$_POST['ffecllegada']:"" );/*$_POST['ffecllegada'];*/
		$nueva_fecha = chfecha($fecha_llegada,'d/m/Y','Y-m-d');
                $var1=(isset($_POST['fcodgrupo']))?$_POST['fcodgrupo']:"";
		$fec_salida = mysqli_query($con ,"select * from valeryus19 where ffecllegada = '$nueva_fecha' and status = 'RESERVA GRUPO' and fcodgrupo = '".$var1."' limit 1");
		$salida = mysqli_fetch_array($fec_salida);
		$salida_fecha = $salida['ffecsalida'];
		$nueva_fecha_salida = chfecha($salida_fecha,'Y-m-d','d/m/Y');
		echo 'value="'.$nueva_fecha_salida.'"';
		?> READONLY/>
		</td></tr>
      <tr>
        <td colspan="2"></td>
      </tr>
      <tr>
        <td colspan="2"><div align="center"><input name="Submit" type="submit" class="bot_WsW" value="Buscar" />
        </div></td>
      </tr>
    </table>
  </form>
</div> 
<div align="center">    
<form action="" method="post" name="frm1" id="frm1"> 
<input type="hidden" name="r1" value="<?php
echo $_POST['r1'];?>">
<input type="hidden" name="select1" value=" <?php
echo $var1;?>">
<?php

   $ssql=mysqli_query($con ,"select * from valeryus19 WHERE status = 'RESERVA GRUPO' "); 
   //$result=mysqli_query($con ,$ssql); 
?>
  <table width="711" align=center> 
  <tr>
        <th colspan="7"> <div align="center">
          <input name="Submit" type="button" onClick="openpage('res_cancelar_MC.php','_self')" value="Cancelar Grupo" class="bot_RjR"/>
        </div></th>
      </tr>
  <tr>
        <th colspan="7">CANCELACION DE GRUPOS </th>
      </tr> 
    <tr>
    
		<th width="70"><div align="center">FOLIO</div></th>
        <th width="300"><div align="center">NOMBRE Y APELLIDO</div></th>
		<th width="201"><div align="center">TIPO DE HABITACION</div></th>
		<th width="120"><div align="center">HABITACION</div></th>
      </tr>
   <?php

$fec = (isset($_POST['ffecllegada']))?$_POST['ffecllegada']:"" ;/*$_POST['ffecllegada'];*/
		include('DF20000.php');
		$fecha_final = $f_m;
       $var=(isset($_POST['tbus']))?$_POST['tbus']:"";         
echo '<input name="txt_bus" type="hidden" value="'.$var.'">';
$vars=(isset($_POST['submit']))?$_POST['submit']:"";
	if($vars=="")
	{
		echo '<input name="tip_bus" type="hidden" value="clave">';
	  	@$ssql = mysqli_query($con ,"SELECT * FROM valeryus19 WHERE fcodgrupo = '".$var1."' AND ffecllegada = '".$f_m."' AND status = 'reserva grupo'");
		 }
	$i = 1; 
        $var2=(isset($fila["ffecsalida"]))?$fila["ffecsalida"]:"";
      echo "<td><h5 align='center'>" . $var2 . "</h5></td>";
        while ($fila=mysqli_fetch_array($ssql)){ 
      echo "\n<div align='center'><input type=hidden name='id$i' value='" . $fila["n_reg"] . "'></div>"; 
      echo "<tr>"; 
	  
	  $sopas[] = $fila["n_reg"];
	  if ($fila['cancelado'] == 1){
	  echo "<td align = 'center' style='#FF3300'><span class='Estilo16'>".$fila['n_reg']." </span></td>"; 
      echo "<td align = 'center' style='#FF3300'><span class='Estilo16'>".$fila['fnombre']." ".$fila['fapellido']. "</span></td>";
	  echo "<td align = 'center' style='#FF3300'><span class='Estilo16'>".$fila['ftipocto']. "</span></td>";
	  echo "<td align = 'center' style='#FF3300'><span class='Estilo16'>".$fila['fnumcto']. "</span></td>";
	  }else{
	  echo "<td align = 'center'><span class='Estilo16'>".$fila['n_reg']. "</span></td>";
	  echo "<td align = 'center'><span class='Estilo16'>".$fila['fnombre']." ".$fila['fapellido'] . "</span></td>";
	  echo "<td align = 'center'><span class='Estilo16'>".$fila['ftipocto']. "</span></td>";
	  echo "<td align = 'center'><span class='Estilo16'>".$fila['fnumcto']. "</span></td>";
	  }
	  echo "</tr>"; 
      $i++; 
      $ultimo_mostrado = $fila["n_reg"]; 
   
   } 

?>
   </table>
  </form>
   </div>
   
</table>
</BODY> 
</HTML> 